OpenTTD Source: STNNChunkHandler Struct Reference

OpenTTD Source 14.0-RC3

Public Member Functions
STNNChunkHandler Struct Reference
Inheritance diagram for STNNChunkHandler:

## Public Member Functions
void | Save () const override
| Save the chunk. More...
void | Load () const override
| Load the chunk. More...
void | FixPointers () const override
| Fix the pointers. More...
Public Member Functions inherited from ChunkHandler
| ChunkHandler (uint32_t id, ChunkType type)
virtual void | LoadCheck (size_t len=0) const
| Load the chunk for game preview. More...
std::string | GetName () const

## Additional Inherited Members
Data Fields inherited from ChunkHandler
uint32_t | id
| Unique ID (4 letters).
ChunkType | type
| Type of the chunk. More...

## Detailed Description

Definition at line 727 of file station_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void STNNChunkHandler::FixPointers | ( |  | ) | const
| inlineoverridevirtual

Fix the pointers.

Pointers are saved using the index of the pointed object. On load, pointers are filled with indices and need to be fixed to point to the real object. Must be overridden if the chunk saves any pointer.

Reimplemented from ChunkHandler.

Definition at line 757 of file station_sl.cpp.

References IsSavegameVersionBefore(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_station_pool >::Iterate(), SlObject(), and SLV_123.

## ◆ Load()

void STNNChunkHandler::Load | ( |  | ) | const
| inlineoverridevirtual

Load the chunk.

Must be overridden.

Implements ChunkHandler.

Definition at line 742 of file station_sl.cpp.

References SlCompatTableHeader().

## ◆ Save()

void STNNChunkHandler::Save | ( |  | ) | const
| inlineoverridevirtual

Save the chunk.

Must be overridden, unless Chunk type is CH_READONLY.

Reimplemented from ChunkHandler.

Definition at line 730 of file station_sl.cpp.

References SlTableHeader().

The documentation for this struct was generated from the following file:

- src/saveload/station_sl.cpp